jupyter_group_name: jupyter
jupyter_user_name: jupyter
jupyter_host_base_path: /opt/jupyter

jupyter_container_name: jupyter
#jupyter_container_image: continuumio/anaconda3
jupyter_container_image: jupyter/scipy-notebook
#jupyter_container_ports: [172.17.0.0:8888:8888]
jupyter_container_ports: []
jupyter_container_env:
  JUPYTER_PORT: "8888"
  NOTEBOOK_ARGS: "--allow-root --IdentityProvider.token={{ jupyter_server_password }} --ServerApp.iopub_data_rate_limit=1.0e20"
  #--ServerApp.kernel_manager_class=notebook.services.kernels.kernelmanager.AsyncMappingKernelManager"
jupyter_container_volumes:
  - "{{ jupyter_host_base_path }}/notebooks:/home/jovyan/"
#  - "{{ jupyter_host_base_path }}/startupscript:/opt/startupscript"
#jupyter_container_entrypoint: "/bin/bash"
#jupyter_container_command: "/opt/startupscript/start.sh"
  #jupyter_container_command: "-c conda install jupyter -y --quiet && mkdir -p /opt/notebooks && jupyter notebook --notebook-dir=/opt/notebooks --ip='*' --port=8888 --no-browser --allow-root"

